summaryrefslogtreecommitdiff
path: root/build-native.sh
diff options
context:
space:
mode:
authorArne Schwabe <arne@rfc2549.org>2012-08-12 20:14:54 +0200
committerArne Schwabe <arne@rfc2549.org>2012-08-12 20:14:54 +0200
commit84e17bad54b0d88cea82db34c3929804dc814b99 (patch)
treed491c841c1d3a8d367fd4d37cadae102870a63e0 /build-native.sh
parentdf44ab632e8dbbcf48e9f6d0e63ecadcfbe3d58d (diff)
Add bat file to ease building native libs on windows
Diffstat (limited to 'build-native.sh')
-rwxr-xr-xbuild-native.sh22
1 files changed, 11 insertions, 11 deletions
diff --git a/build-native.sh b/build-native.sh
index 2848fdd2..de76737a 100755
--- a/build-native.sh
+++ b/build-native.sh
@@ -1,12 +1,12 @@
-ndk-build APP_API=all -j 8
-if [ $? = 0 ]; then
- cd libs
- mkdir -p ../assets
- for i in *
- do
- cp -v $i/minivpn ../assets/minivpn.$i
- done
- # Removed compiled openssl libs, will use platform so libs
- # Reduces size of apk
- rm -v */libcrypto.so */libssl.so
+ndk-build APP_API=all -j 8
+if [ $? = 0 ]; then
+ cd libs
+ mkdir -p ../assets
+ for i in *
+ do
+ cp -v $i/minivpn ../assets/minivpn.$i
+ done
+ # Removed compiled openssl libs, will use platform so libs
+ # Reduces size of apk
+ rm -v */libcrypto.so */libssl.so
fi \ No newline at end of file